public static interface JsonValidatorEndpointBuilderFactory.JsonValidatorBuilders
| Modifier and Type | Method and Description |
|---|---|
default JsonValidatorEndpointBuilderFactory.JsonValidatorEndpointBuilder |
jsonValidator(String path)
JSON Schema Validator (camel-json-validator)
Validate JSON payloads using NetworkNT JSON Schema.
|
default JsonValidatorEndpointBuilderFactory.JsonValidatorEndpointBuilder |
jsonValidator(String componentName,
String path)
JSON Schema Validator (camel-json-validator)
Validate JSON payloads using NetworkNT JSON Schema.
|
default JsonValidatorEndpointBuilderFactory.JsonValidatorEndpointBuilder jsonValidator(String path)
json-validator:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.path - resourceUridefault JsonValidatorEndpointBuilderFactory.JsonValidatorEndpointBuilder jsonValidator(String componentName, String path)
json-validator:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.componentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel